Subject: bug#28843: 26.0.90; gnus kills unsaved message buffer

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 12 Apr 2018 13:36:15 +0200

Nick Helm <[email-masked]> writes:

>> But haven't the buffers already been saved earlier in the shutdown by a
>> `do-auto-save'?  That how I interpret Katsumi in bug#26862...
>
> Yes they have, but I was suggesting to remove that auto-save mechanism
> and find a way to prompt the user to save the draft instead, mimicking
> what happens when Emacs is shut down with an unsaved buffer.

Yeah, the Messsage buffers are kinda special, I guess, in that they're
basically the only Gnus buffers what aren't generated somehow.

So handling them the same way as Emacs does on shutdown does make some
sense...  On the other hand, even if we prompt the user, they're still
saved to a pretty obscure place (i.e., the drafts group), so I'm not
sure we're gaining anything by prompting the user.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no